<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">

<div class="bs-callout bs-callout-info">
    <b>Petunjuk Pembuatan Dokumen Tender/Pemilihan:</b><br />
    Perubahan kalimat dalam Standar Dokumen Pemilihan agar konsisten dengan isian SPSE:<br />
        <b>1. BAB Lembar Data Kualifikasi (LDK):</b><br />
        &#9679; Persyaratan Kualifikasi sesuai dengan yang tercantum dalam aplikasi SPSE<br /><br />
        <b>2. BAB Lembar Data Pemilihan (LDP):</b><br />
        &#9679; Jenis pengadaan sesuai dengan yang tercantum dalam aplikasi SPSE<br />
        &#9679; Metode evaluasi sesuai dengan yang tercantum dalam aplikasi SPSE<br />
        &#9679; Metode penyampaian dokumen sesuai dengan yang tercantum dalam aplikasi SPSE<br />
        &#9679; Masa berlaku penawaran sesuai dengan yang tercantum dalam aplikasi SPSE<br />
        &#9679; Dokumen penawaran teknis sesuai dengan yang tercantum dalam aplikasi SPSE<br /><br />
        <b>3. BAB Daftar Kuantitas Barang/Pekerjaan:</b><br />
        &#9679; Daftar Kuantitas Barang/Pekerjaan sesuai dengan yang tercantum dalam aplikasi SPSE<br /><br />
        <b>4. BAB KAK/Spesifikasi Teknis dan Gambar:</b><br />
        &#9679; KAK/Spesifikasi Teknis dan Gambar sesuai dengan yang tercantum dalam aplikasi SPSE<br /><br />
        Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <b>*.pdf</b>.<br />
</div>
<div class="alert alert-danger" id="msg-formSDP">
    Nomor Dokumen ${labelDokumen}, Tanggal Dokumen ${labelDokumen}, dan Dokumen ${labelDokumen} wajib diisi!
</div>
<div class="alert alert-danger" id="msg-invalidDateSDP">
    Isian Tanggal Dokumen ${labelDokumen} salah!
</div>
#{form @nonlelang.AdendumPlCtr.doknontenderSubmit(id), id:'form-cetak-sdp', enctype:"multipart/form-data", method:'POST', }
    <table class="table table-sm">
        <tr>
            <th width="80px" class="bgwarning">Nomor Dokumen ${labelDokumen} <span class="warning">*</span></th>
            <td width="100px">
                <input name="nomorSDP" type="text" class="form-control" value="${dok_pl_content?.dll_nomorSDP}"/>
            </td>
        </tr>
        <tr>
            <th width="100" class="bgwarning">Tanggal Dokumen ${labelDokumen} <span class="warning">*</span></th>
            <td>
                <div class="input-group date datepicker width-normal">
                    <input name="tglSDP" type="text" class="form-control datepicker" value="${dok_pl_content?.dll_tglSDP != null ? dok_pl_content.dll_tglSDP.toDatepicker() : today.toDatepicker()}"/>
                    <div class="input-group-append"><span class="input-group-text"><span class="fa fa-calendar"></span></span></div>
                </div>
            </td>
        </tr>
        <tr>
            <th width="80px" class="bgwarning">Dokumen ${labelDokumen} <span class="warning">*</span></th>
            <td width="100px">
                <input id="dokTenderSeleksi" class="form-control" name="file" type="file" />
            </td>
        </tr>
    </table>
    <a href="javascript:void(0)" class="btn btn-success  btn-simpan" id="btn-cetak-dokumen" onclick="validateSDP();">
        <i class="fa fa-save"></i> Upload Dokumen
    </a>
#{/form}

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $("#msg-formSDP").hide();
        $("#msg-invalidDateSDP").hide();
    });

    function validateSDP(){
        var nomorSDP = $("input[name=\"nomorSDP\"]").val();
        var tanggalSDP = $("input[name=\"tglSDP\"]").val();
        var dok = $("#dokTenderSeleksi").val();
        if (nomorSDP == "" || tanggalSDP == "" || dok == ""){
            $("#msg-formSDP").show();
        } else {
            $("#msg-formSDP").hide();
            $("#msg-invalidDateSDP").hide();

            if(isValidDate(tanggalSDP)){
                $("#form-cetak-sdp").submit();
            }
            else{
                $("#msg-invalidDateSDP").show();
            }
        }
    }

    function isValidDate(dateString)
    {
        // First check for the pattern
        // if(!/^\d{1,2}\-\d{1,2}\-\d{4}$/.test(dateString))
        //   return false;

        // Parse the date parts to integers
        var parts = dateString.split(" ")[0].split("-");
        var day = parseInt(parts[0], 10);
        var month = parseInt(parts[1], 10);
        var year = parseInt(parts[2], 10);


        // Check the ranges of month and year
        if(year < 1000 || year > 3000 || month == 0 || month > 12)
            return false;

        var monthLength = [ 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 ];

        // Adjust for leap years
        if(year % 400 == 0 || (year % 100 != 0 && year % 4 == 0))
        monthLength[1] = 29;

        // Check the range of the day
        return day > 0 && day <= monthLength[month - 1];
    };

</script>